Skip to main content
PATCH
/
products
/
{id}
Partial update product
curl --request PATCH \
  --url https://api.piriod.com/products/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'x-simple-workspace: <x-simple-workspace>' \
  --data '
{
  "name": "<string>",
  "unit_label": "<string>",
  "status": "active"
}
'
{
  "name": "<string>",
  "unit_label": "<string>",
  "id": "<string>",
  "status": "active",
  "archived": "2023-11-07T05:31:56Z",
  "plans": [
    {
      "product": "<string>",
      "name": "<string>",
      "description": "<string>",
      "frequency": "<string>",
      "currency": "<string>",
      "amount": 123,
      "id": "<string>",
      "sku": "<string>",
      "exempt": false,
      "usage_scheme": "licensed",
      "usage_aggregation": "last_record",
      "tiers_mode": "package",
      "tiers": [
        {
          "amount": 123,
          "quantity_from": 123,
          "amount_scheme": "flat",
          "quantity_to": 123,
          "unit_scheme": "all_units"
        }
      ],
      "unit_label": "<string>",
      "status": "active",
      "archived": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "test_mode": true,
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://piriod-d406ac55.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Headers

x-simple-workspace
string
required

Workspace (account) identifier. Required for every request.

x-piriod-test-mode
boolean
default:false

Whether to operate against test-mode data. Defaults to false.

Path Parameters

id
string
required

Resource identifier.

Body

application/json
name
string
required
Maximum string length: 80
unit_label
string
required
Maximum string length: 12
status
enum<string>
default:active
Available options:
active,
archived

Response

200 - application/json

Updated product.

name
string
required
Maximum string length: 80
unit_label
string
required
Maximum string length: 12
id
string
read-only
status
enum<string>
default:active
Available options:
active,
archived
archived
string<date-time> | null
read-only
plans
object[]
read-only
test_mode
boolean
read-only
created
string<date-time>
read-only
updated
string<date-time>
read-only